Package: groovy.org.codenarc.rule.naming

## [Groovy] Class FactoryMethodNameRule

- groovy.org.codenarc.rule.naming.FactoryMethodNameRule

- A factory method is a method that creates objects, and they are typically named either buildFoo(), makeFoo(), or createFoo(). This rule enforces that only one naming convention is used. It defaults to makeFoo(), but that can be changed using the property 'regex'.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`
    `String` | `regex`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority

    - #### String regex